org.apache.ignite.springdata20.repository

## Interface IgniteRepository<V,K extends Serializable>

- Type Parameters:
    `V` - the cache value type
    `K` - the cache key type
  All Superinterfaces:
    org.springframework.data.repository.CrudRepository<V,K>, org.springframework.data.repository.Repository<V,K>
  All Known Implementing Classes:
    IgniteRepositoryImpl

      public interface IgniteRepository<V,K extends Serializable>
      extends org.springframework.data.repository.CrudRepository<V,K>

  Apache Ignite repository that extends basic capabilities of `CrudRepository`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IgniteCache<K,V>` | `cache()` Returns the Ignite Cache bound to the repository
    `void` | `deleteAllById(Iterable<K> ids)` Deletes all the entities for the provided ids.
    `Ignite` | `ignite()` Returns the Ignite instance bound to the repository
    `<S extends V> S` | `save(K key, S entity)` Saves a given entity using provided key.
    `<S extends V> S` | `save(K key, S entity, @Nullable javax.cache.expiry.ExpiryPolicy expiryPlc)` Saves a given entity using provided key with expiry policy It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
    `<S extends V> Iterable<S>` | `save(Map<K,S> entities)` Saves all given keys and entities combinations.
    `<S extends V> Iterable<S>` | `save(Map<K,S> entities, @Nullable javax.cache.expiry.ExpiryPolicy expiryPlc)` Saves all given keys and entities combinations with expiry policy It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.

    - ### Methods inherited from interface org.springframework.data.repository.CrudRepository

      `count, delete, deleteAll, deleteAll, deleteById, existsById, findAll, findAllById, findById, save, saveAll`

- - ### Method Detail

    - #### ignite

          Ignite ignite()

      Returns the Ignite instance bound to the repository
      Returns:
        the Ignite instance bound to the repository

    - #### cache

          IgniteCache<K,V> cache()

      Returns the Ignite Cache bound to the repository
      Returns:
        the Ignite Cache bound to the repository

    - #### save

          <S extends V> S save(K key,
                               S entity)

      Saves a given entity using provided key. It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - Entity type.
      Parameters:
        `key` - Entity's key.
        `entity` - Entity to save.
      Returns:
        Saved entity.

    - #### save

          <S extends V> Iterable<S> save(Map<K,S> entities)

      Saves all given keys and entities combinations. It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - Type of entities.
      Parameters:
        `entities` - Map of key-entities pairs to save.
      Returns:
        Saved entities.

    - #### save

          <S extends V> S save(K key,
                               S entity,
                               @Nullable
                               @Nullable javax.cache.expiry.ExpiryPolicy expiryPlc)

      Saves a given entity using provided key with expiry policy It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - Entity type.
      Parameters:
        `key` - Entity's key.
        `entity` - Entity to save.
        `expiryPlc` - ExpiryPolicy to apply, if not null.
      Returns:
        Saved entity.

    - #### save

          <S extends V> Iterable<S> save(Map<K,S> entities,
                                         @Nullable
                                         @Nullable javax.cache.expiry.ExpiryPolicy expiryPlc)

      Saves all given keys and entities combinations with expiry policy It's suggested to use this method instead of default `CrudRepository.save(Object)` that generates IDs (keys) that are not unique cluster wide.
      Type Parameters:
        `S` - Type of entities.
      Parameters:
        `entities` - Map of key-entities pairs to save.
        `expiryPlc` - ExpiryPolicy to apply, if not null.
      Returns:
        Saved entities.

    - #### deleteAllById

          void deleteAllById(Iterable<K> ids)

      Deletes all the entities for the provided ids.
      Parameters:
        `ids` - List of ids to delete.

2020 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020